Name: mirrordir
Summary: Easy to use ftp mirroring package
Version: 0.10.44
Release: 3mdk
Source: ftp://ftp.obsidian.co.za/pub/mirrordir/mirrordir-%{version}.tar.bz2
Group: Networking/File transfer 
URL: ftp://ftp.obsidian.co.za/pub/mirrordir/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr

%description
Easy to use ftp mirroring package - simply use
mirrordir ftp://some.where.com/dir /some/local/dir

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix} --sysconfdir=/etc

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi


%install
perl -p -i -e 's/-f \$\(bindir\)\/mirrordir \$/-f \$\(bindir\)\/mirrordir \$\(DESTDIR\)\$/' src/Makefile
make install DESTDIR=$RPM_BUILD_ROOT 

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
        file $i|grep -q "not stripped" && strip $i
done
if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  find $RPM_BUILD_ROOT/usr/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT/usr/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT/usr/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi


cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

perl -p -i -e "s/\/var\/tmp\/mirrordir-buildroot//" $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 0.10.44-3mdk
- fix group

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Force not the SMP my friend and all will be serene. (Yes i'm getting bord with writeing these)
- Zip and strip

* Tue Oct  5 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 0.10.44

* Fri Aug 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix broken symlinks 

* Sun Jul 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
-  0.10.41

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- initial RPM

